#
# spec file for package inlinem (Version 1.9)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         inlinem
Release:      13
Copyright:    (C) 1995 John C. Bowman
Group: 
Provides:     inlinem 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.9
Summary:      inlinemath
Source: inlinem-1.9.tar.gz
Patch: inlinem-1.9.dif
%description
With this package you get inlined assembler functions of the
mathematic library under /usr/include/i386/.
To use this functions the system needs a math coprocessor
(386 combined with 387, 486 with builtin coprocessor, 586).
Documentation is stored under /usr/doc/packages/inline-math-1.6/
and the header file __math.h and extensions.h under /usr/include/i386/.
To include this files you have to patch the file /usr/include/math.h
with /usr/doc/packages/inline-math-1.6/math.h-patch.
You can control the usage of /usr/include/i386/__math.h
with the gcc option `-D__NO_MATH_INLINES' and the usage
of /usr/include/i386/extensions.h with the gcc option
`-D__MATH_EXTENSIONS'. 
Note: If the package is removed the patched version of
/usr/include/math.h has to be replaced by the original version.

Authors:
--------
    John C. Bowman <bowman@hagar.ph.utexas.edu>

%prep
%setup
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/inline-math-1.9
%dir /usr/include/i386
%dir /usr/include/i386/test
%doc /usr/doc/packages/inline-math-1.9/CHANGES
%doc /usr/doc/packages/inline-math-1.9/README
%doc /usr/doc/packages/inline-math-1.9/math.h-patch
/usr/include/i386/CHANGES
/usr/include/i386/README
/usr/include/i386/__math.h
/usr/include/i386/extensions.h
/usr/include/i386/test/Makefile
/usr/include/i386/test/const.c
/usr/include/i386/test/drand.c
/usr/include/i386/test/libm.c
/usr/include/i386/test/mconf.h
/usr/include/i386/test/mtst.c
/usr/include/i386/test/protos.h

